Subject: Re: bug#17046: 24.3.50; On startup emacs frame has no minibuffer or windows decorations

From: Juanma Barranquero <[email-masked]>
Date: Thu, 20 Mar 2014 17:54:12 +0100

On Thu, Mar 20, 2014 at 5:32 PM, Robert Marshall <[email-masked]> wrote:

> I carried out the above and the issue does not reappear (I tried
> maximise and unmaximise a couple of times just to check)

So the bug is gone and we can close this bug?

> so I'm
> assuming you meant that the contents of desktop-saved-frameset was the
> problem

It is possible that a frame in some weird state was saved, and from
that moment on, exiting/entering Emacs with desktop-mode enabled would
try to reproduce that weird frame (or window) state from the saved
frameset.

The frameset dump you sent includes two frames. It is the one that was
giving you trouble? At a cursory look, I don't see anything obviously
wrong with the frames. Martin, do you see something questionable in
the window trees?

[frameset
  1
  (21291 2634 754550 483000)
  (desktop . "206")
  "robert@poulenc"
  nil
  nil
 ((;; ********** FRAME 1
   ((font-backend xft x)
    (font-parameter . "Inconsolata-12")
    (font . "-unknown-Inconsolata-normal-normal-normal-*-16-*-*-*-m-0-iso10646-1")
    (border-width . 0)
    (internal-border-width . 0)
    (right-divider-width . 0)
    (bottom-divider-width . 0)
    (vertical-scroll-bars . right)
    (foreground-color . "DarkOrchid1")
    (background-color . "mint cream")
    (mouse-color . "#221f1e")
    (border-color . "black")
    (screen-gamma)
    (line-spacing)
    (left-fringe . 8)
    (right-fringe . 8)
    (scroll-bar-foreground . "#221f1e")
    (scroll-bar-background . "grey75")
    (menu-bar-lines . 1)
    (tool-bar-lines . 1)
    (title)
    (wait-for-wm . t)
    (fullscreen)
    (tool-bar-position . top)
    (icon-type . t)
    (auto-raise)
    (auto-lower)
    (cursor-type . box)
    (scroll-bar-width . 16)
    (alpha . 90)
    (display-type . color)
    (background-mode . light)
    (cursor-color . "#221f1e")
    (visibility . t)
    (sticky)
    (frameset--id . "FB69-CBB8-3217-A8F7")
    (frameset--mini t)
    (modeline . t)
    (minibuffer . t)
    (unsplittable)
    (icon-name)
    (display . ":0")
    (explicit-name)
    (height . 35)
    (width . 80)
    (left . 764)
    (top . 364))
   ;; ********** WINDOW TREE 1
   ((min-height . 4)
    (min-width . 10)
    (min-height-ignore . 2)
    (min-width-ignore . 6)
    (min-height-safe . 1)
    (min-width-safe . 2)
    (min-pixel-height . 72)
    (min-pixel-width . 80)
    (min-pixel-height-ignore . 36)
    (min-pixel-width-ignore . 48)
    (min-pixel-height-safe . 18)
    (min-pixel-width-safe . 16))
   leaf
   (pixel-width . 672)
   (pixel-height . 612)
   (total-width . 84)
   (total-height . 0)
   (normal-height . 1.0)
   (normal-width . 1.0)
   (buffer "*scratch*" (selected . t)
  (hscroll . 0)
  (fringes 8 8 nil)
  (margins nil)
  (scroll-bars 16 2 .  t nil)
  (vscroll . 0)
  (dedicated)
  (point . 225)
  (start . 1)))
  (;; ********** FRAME 2
   ((font-backend xft x)
    (font . "-unknown-Inconsolata-normal-normal-normal-*-16-*-*-*-m-0-iso10646-1")
    (font-parameter . "Inconsolata-12")
    (border-width . 0)
    (internal-border-width . 0)
    (right-divider-width . 0)
    (bottom-divider-width . 0)
    (vertical-scroll-bars . right)
    (foreground-color . "DarkOrchid1")
    (background-color . "mint .  cream")
    (mouse-color . "#221f1e")
    (border-color . "black")
    (screen-gamma)
    (line-spacing)
    (left-fringe . 8)
    (right-fringe . 8)
    (scroll-bar-foreground . "#221f1e")
    (scroll-bar-background . "grey75")
    (menu-bar-lines . 1)
    (tool-bar-lines . 1)
    (title)
    (wait-for-wm . t)
    (fullscreen)
    (tool-bar-position . top)
    (icon-type . t)
    (auto-raise)
    (auto-lower)
    (cursor-type . box)
    (scroll-bar-width . 16)
    (alpha . 90)
    (horizontal-scroll-bars . t)
    (display-type . color)
    (background-mode . light)
    (cursor-color . "#221f1e")
    (sticky)
    (environment)
    (frameset--id . "293F-FDD1-DD37-022D")
    (frameset--mini t . t)
    (modeline . t)
    (minibuffer . t)
    (unsplittable)
    (icon-name)
    (visibility . t)
    (display . ":0")
    (explicit-name)
    (height . 33)
    (width . 120)
    (left . 1136)
    (top . 95))
   ;; ********** WINDOW TREE 2
   ((min-height . 4)
    (min-width . 10)
    (min-height-ignore . 2)
    (min-width-ignore . 6)
    (min-height-safe . 1)
    (min-width-safe . 2)
    (min-pixel-height . 72)
    (min-pixel-width . 80)
    (min-pixel-height-ignore . 36)
    (min-pixel-width-ignore . 48)
    (min-pixel-height-safe . 18)
    (min-pixel-width-safe . 16))
   leaf
   (pixel-width . 992)
   (pixel-height . 576)
   (total-width . 124)
   (total-height . 32)
   (normal-height . 1.0)
   (normal-width . 1.0)
   (buffer "*Messages*" (selected)
  (hscroll . 0)
  (fringes 8 8 nil)
  (margins nil)
  (scroll-bars 16 2 .  t nil)
  (vscroll . 0)
  (dedicated)
  (point . 2629)
  (start . 1917))))]